document.write("<script type=\"text/javascript\" src=\"/engehtml/info_link.js\"></script>");

//Global Definition
//*****************************************************************************
//***********                                                       ***********                                       
//***********                                                       ***********                                       
//***********                                                       ***********      
var opmodestr=new Array("ap","sta","br","rp","apr","cr","apwds","stawds");
var opmodetitle=new Array("Access Point","Client Bridge","WDS Bridge","Repeater","AP Router","Client Router","WDS Access Point","WDS Station");
var opmodename=new Array("AP","STA","BR","RP","APR","CR","APWDS","STAWDS");

//Definition For Multiple-Language
//*****************************************************************************
//***********                                                       ***********                                       
//***********                                                       ***********                                       
//***********                                                       ***********      
IncludeJavaScript('/engehtml/MultiLanguage.js');
function IncludeJavaScript(jsFile)
{
	document.write('<script type="text/javascript" src="'+ jsFile + '"></script>');
}
if (typeof g_Lang == "undefined") g_Lang=1;

var div = /(<([^>]+)>)/ig;
var lspace = /(^[\s]+|[\s]+$)/g ;
var chars = /[a-zA-Z]+/;
var htm_space = "&nbsp;";
var HC_Patterns = [
	"None",
	"N/A",
	"Disable",
	"Enable",
	"Untagged",
	"Default",
	"Auto"
];
var HC_Partial_Patterns = [
	"GHz (Channel",
	"ON",
	"OFF",
	"None",
	"Shared Key",
	"Open",
	"WPA Mixed",
	"WPA-PSK Mixed",
	"Mon",
	"Tue",
	"Wed",
	"Thu",
	"Fri",
	"Sat",
	"Sun",
	"All Day",
	"To"
];
/**
Function name: check_ML()
Target: check specific patterns(they may contain nonsense or combination patterns) and try forcing them do translate
return value: return true if found those divs while generating tables
**/
function check_ML(str)
{
	var ori_str=str;
	if (str=="" || typeof(str)==='number' || str.search(chars)===-1)
		return str;
	str_new=str.replace(lspace,"").replace(htm_space,"");
	var found_flag=false;
	for (var ind=0;ind<HC_Patterns.length;ind++)
	{
		if (str===HC_Patterns[ind])
		{
			found_flag=true;
			return _ML(g_Lang, DP_T_GET, HC_Patterns[ind]);
		}
	}
	if (found_flag==false){
		for (var i=0;i<HC_Partial_Patterns.length;i++)
		{
			if (str.indexOf(HC_Partial_Patterns[i]) > -1)
			{
				str=str.replace(HC_Partial_Patterns[i], _ML(g_Lang, DP_T_GET, HC_Partial_Patterns[i]));
				found_flag=true;
			}
		}
	}
	
	return (found_flag==false) ? _ML(g_Lang, DP_T_GET, str) : str;
}
//End for Definition For Multiple-Language

function display_handler(wifi_dev,page_status){
	var mode_arr=new Array();
	var Radio_Str=new Array("RF1_","RF2_","RF3_","RF4_");
	Network_Mode={
	"ap":"_Bridge",	"sta":"_Bridge",	"br":"_Bridge",	"rp":"_Bridge",	"apwds":"_Bridge",	"stawds":"_Bridge",	
	"apr":"_Router",	"cr":"_Router"
	};
	wifi_dev_x=wifi_dev.substr(4,1);
	var m=0;
	
	for(var i=0;i<page_status.length;i++){
		mode_arr[m++]=Radio_Str[i] + page_status[i].dev_Opmode;
		if( wifi_dev_x==""+i){
			mode_arr[m++]=page_status[i].dev_Opmode;
		}
		mode_arr[m++]=Radio_Str[i] + Network_Mode[ page_status[i].dev_Opmode ];	mode_arr[m-1]=mode_arr[m-1].replace(/__/g,"_");
		if( wifi_dev_x==""+i){
			mode_arr[m++]=Network_Mode[ page_status[i].dev_Opmode ];
		}
	}

	//testcase
	//mode_arr[0]="RF1_ap";
	//mode_arr[1]="RF2_sta";
	//mode_arr[2]="sta";
	
	return mode_arr;
}

function getOpModeStatus(wifi_dev_x,page_status){
	//wifi_dev_x=wifi_dev.substr(4,1);
	var wifi_dev_x=""+wifi_dev_x;
	var opmode_str2int={"ap":0,"sta":1,"br":2,"rp":3,"apr":4,"cr":5,"apwds":6,"stawds":7};
	var op_str=page_status[ wifi_dev_x ].dev_Opmode.replace(/'/,"");
	var target_opmode=opmode_str2int[ op_str ];
	
	return target_opmode;
}

function getWlanModeStatus(wifi_dev_x,page_status){
	//wifi_dev_x=wifi_dev.substr(4,1);
	var wifi_dev_x=""+wifi_dev_x;
	var mode_map={0:"11ng",1:"11na"};
	//var target=page_status[ wifi_dev_x ].hwmode;
	var target=mode_map[ wifi_dev_x ];
	
	return target;
}

//Basic Function
//*****************************************************************************
//***********                                                       ***********                                       
//***********                                                       ***********                                       
//***********                                                       ***********                                       
function assert(id, shouldBeTrue){
	if(!shouldBeTrue) {
		alert(_ML(g_Lang, DP_T_GET, "Error: assertion failed (ARG1).", id));
		return false;
	}
	return true;
}

//Data Validation
//*****************************************************************************
//***********                                                       ***********                                       
//***********                                                       ***********                                       
//***********                                                       ***********                                       

function validateLength(ctrl,str,maxi,mini){
	str=_ML(g_Lang, DP_T_GET,str);
  if(maxi<mini){
    tmp=maxi;
    maxi=mini;
    mini=tmp;
  }
  if (ctrl.value.length<mini||ctrl.value.length>maxi){
    alert(_ML(g_Lang, DP_T_GET, 'ARG1: Length must between ARG2 and ARG3!!',str,mini,maxi));
    ctrl.value = mini;
    ctrl.select();
    ctrl.focus();
    return false;
  }
   
    return true;
    
}

function validateLengthForDefvalue(ctrl,str,maxi,mini){
	str=_ML(g_Lang, DP_T_GET,str);
  if(maxi<mini){
    tmp=maxi;
    maxi=mini;
    mini=tmp;
  }
  if (ctrl.value.length<mini||ctrl.value.length>maxi){
    alert(_ML(g_Lang, DP_T_GET, 'ARG1: Length must between ARG2 and ARG3!!',str,mini,maxi));
    ctrl.value = ctrl.defaultValue;
    ctrl.select();
    ctrl.focus();
    return false;
  }
   
    return true;
    
}

function validateDecimal(ctrl,str,maxi,mini){
	str=_ML(g_Lang, DP_T_GET,str);
  if(maxi<mini){
    tmp=maxi;
    maxi=mini;
    mini=tmp;
  }
  if (ctrl.value.length<=0){
    alert(_ML(g_Lang, DP_T_GET, 'ARG1: Please input value!!',str));
    ctrl.value = mini;
    ctrl.select();
    ctrl.focus();
    return false;
  }
  if ((i=notDecimal(ctrl.value))){
    alert(_ML(g_Lang, DP_T_GET, 'ARG1: Invalid characters at num ARG2 char ARG3',str,i,ctrl.value.charAt(i-1)));
    ctrl.value = mini;
    ctrl.select();
    ctrl.focus();
    return false;
  }
    if ( ctrl.value>maxi || ctrl.value<mini ) {
      alert(_ML(g_Lang, DP_T_GET, 'ARG1: Value is out of range [ARG2 - ARG3]',str,mini,maxi));
      ctrl.value = mini;
      ctrl.select();
      ctrl.focus();
      return false;
    }
	
	for(i=0;i<ctrl.value.length;i++)
	{
		if(ctrl.value.charAt(i)!=0){
			ctrl.value=ctrl.value.substr(i);
			return true;
		}
	}
    ctrl.value=0;
    
    return true;
    
}

function validateDecimalForMTU(ctrl,str,maxi,mini){
	str=_ML(g_Lang, DP_T_GET,str);
  if(maxi<mini){
    tmp=maxi;
    maxi=mini;
    mini=tmp;
  }
  if (ctrl.value.length<=0){
    alert(_ML(g_Lang, DP_T_GET, 'ARG1: Please input value!!',str));
    ctrl.value = maxi;
    ctrl.select();
    ctrl.focus();
    return false;
  }
  if ((i=notDecimal(ctrl.value))){
    alert(_ML(g_Lang, DP_T_GET, 'ARG1: Invalid characters at num ARG2 char ARG3',str,i,ctrl.value.charAt(i-1)));
    ctrl.value = maxi;
    ctrl.select();
    ctrl.focus();
    return false;
  }
    if ( ctrl.value>maxi || ctrl.value<mini ) {
      alert(_ML(g_Lang, DP_T_GET, 'ARG1: Value is out of range [ARG2 - ARG3]',str,mini,maxi));
      ctrl.value = maxi;
      ctrl.select();
      ctrl.focus();
      return false;
    }
	
	for(i=0;i<ctrl.value.length;i++)
	{
		if(ctrl.value.charAt(i)!=0){
			ctrl.value=ctrl.value.substr(i);
			return true;
		}
	}
    ctrl.value=0;
    
    return true;
    
}

function validateDecimalForDefvalue(ctrl,str,maxi,mini){
	str=_ML(g_Lang, DP_T_GET,str);
  if(maxi<mini){
    tmp=maxi;
    maxi=mini;
    mini=tmp;
  }
  if (ctrl.value.length<=0){
    alert(_ML(g_Lang, DP_T_GET, 'ARG1: Please input value!!',str));
    ctrl.value = ctrl.defaultValue;
    ctrl.select();
    ctrl.focus();
    return false;
  }
  if ((i=notDecimal(ctrl.value))){
    alert(_ML(g_Lang, DP_T_GET, 'ARG1: Invalid characters at num ARG2 char ARG3',str,i,ctrl.value.charAt(i-1)));
    ctrl.value = ctrl.defaultValue;
    ctrl.select();
    ctrl.focus();
    return false;
  }
    if ( ctrl.value>maxi || ctrl.value<mini ) {
      alert(_ML(g_Lang, DP_T_GET, 'ARG1: Value is out of range [ARG2 - ARG3]',str,mini,maxi));
      ctrl.value = ctrl.defaultValue;
      ctrl.select();
      ctrl.focus();
      return false;
    }
	
	for(i=0;i<ctrl.value.length;i++)
	{
		if(ctrl.value.charAt(i)!=0){
			ctrl.value=ctrl.value.substr(i);
			return true;
		}
	}
    ctrl.value=0;
    
    return true;
    
}

function checkReservedWord(s)
{
	var regexp = /^[^#\'\":\\\/\[& ]+$/
	if( regexp.test(s.value)==false ){
		alert(_ML(g_Lang, DP_T_GET, '# , \\\' , \\\" , : , \\\\ , / , [ , & , ` , ] ,Space are invalid characters. Please select a new one.'));
		s.select();
		s.focus();
		return false;
	}
  return true;
}

function notDecimal(str){
	for (i = 0; i < str.length; i++) {
		ch = str.charAt(i).toLowerCase();
		if ((ch < '0' || ch > '9' )){
			return (i+1);
		}
	}
	return 0;
}

function notTimerange(str,max,min){
	//alert(_ML(g_Lang, DP_T_GET, str));
	
	if(str > max || str < min)
	{
		return true;
	}
	return false;
}

function notHex(str){
	for (i = 0; i < str.length; i++) {
		ch = str.charAt(i).toLowerCase();
		if (!((ch >= '0' && ch <= '9' )||( ch >= 'a' && ch <= 'f'))){
			return (i+1);
		}
	}
	return 0;
}

function notNormalCharacter(str){
	for (i = 0; i < str.length; i++) 
	{
		ch = str.charAt(i).toLowerCase();
		if (!((ch >= '0' && ch <= '9' )||( ch >= 'a' && ch <= 'z')))
		{
			//alert(_ML(g_Lang, DP_T_GET, "Special character!!"));
			return (i+1);
		}
	}
	return 0;
}

/* isUrlDomain
  match: www.abc.com | 192.16-8.0.1.gov | 8.b
mis-match: 192.168.1.1 | 999.123
*/
function isUrlDomain(s) {
	var regexp = /^[a-zA-Z0-9\-\.]+\.[a-zA-Z]+$/
	return regexp.test(s);
}

function isHex(str){
   var pattern = /^[0-9a-fA-F]{1,}$/;
   return pattern.test(str);
}

function parseMAC(str){
   var pattern = /^([0-9a-fA-F]{2})[:\- ]{0,1}([0-9a-fA-F]{2})[:\- ]{0,1}([0-9a-fA-F]{2})[:\- ]{0,1}([0-9a-fA-F]{2})[:\- ]{0,1}([0-9a-fA-F]{2})[:\- ]{0,1}([0-9a-fA-F]{2})$/;
   return pattern.exec(str);
}

function validateIP(ip)
{
   var len;
   var ip1,ip2,ip3,ip4;
   var ipmax=255;
   var temp;
   var Myall;
   Myall=ip.value; 
   
//alert(_ML(g_Lang, DP_T_GET, Myall));    
   len=Myall.length;
   temp=Myall.indexOf(".");
   ip1=Myall.substring(0,temp);
//alert(_ML(g_Lang, DP_T_GET, ip1));
   if(ip1>ipmax || (ip1>=224 && ip1<=239))
   { 
   	//alert(_ML(g_Lang, DP_T_GET, "ip1 over 254")); 
        return false;
   }
     
   Myall=Myall.substring(temp+1,len);
   len=Myall.length;
   temp=Myall.indexOf(".");
   ip2=Myall.substring(0,temp);
//alert(_ML(g_Lang, DP_T_GET, ip2));  
   if(ip2>ipmax)
   { 
   	//alert(_ML(g_Lang, DP_T_GET, "ip2 over 254")); 
   	return false;
   } 
  
   Myall=Myall.substring(temp+1,len);
   len=Myall.length;
   temp=Myall.indexOf(".");
   ip3=Myall.substring(0,temp);
//alert(_ML(g_Lang, DP_T_GET, ip3));
   if(ip3>ipmax)
   { 
   	//alert(_ML(g_Lang, DP_T_GET, "ip3 over 254")); 
   	return false;
   } 
   
   Myall=Myall.substring(temp+1,len);
   ip4=Myall;
//alert(_ML(g_Lang, DP_T_GET, ip4)); 
   if(ip4>ipmax)
   { 
   	//alert(_ML(g_Lang, DP_T_GET, "ip4 over 254")); 
   	return false;
   } 
   //alert(_ML(g_Lang, DP_T_GET, "all ip are OK!!"));
   return true;
}

function checkValidDHCPRegionLANIP(lanip, dhcpChecked, dhcpStartAddr, dhcpEndAddr){
	var lan_ip_t = lanip.split(".");
	var dhcp_ip_s = dhcpStartAddr.split(".");
	var dhcp_ip_e = dhcpEndAddr.split(".");
	if(dhcpChecked == true){
		for(var i=0;i<4;i++){
			if((parseInt(dhcp_ip_s[i]) == parseInt(lan_ip_t[i])) && (parseInt(lan_ip_t[i]) == parseInt(dhcp_ip_e[i])))
				continue;
			if((parseInt(dhcp_ip_s[i]) <= parseInt(lan_ip_t[i])) && (parseInt(lan_ip_t[i]) <= parseInt(dhcp_ip_e[i])))
				return false;
		}
	}
	return true;
}

function parseIP(str){
   var pattern = /^([0-9]{1,3})\.([0-9]{1,3})\.([0-9]{1,3})\.([0-9]{1,3})$/;
   return pattern.exec(str);
}

function parseIPRange(str){
   var pattern = /^([0-9]{1,3})\.([0-9]{1,3})\.([0-9]{1,3})\.([0-9]{1,3})[:~\-]([0-9]{1,3})\.([0-9]{1,3})\.([0-9]{1,3})\.([0-9]{1,3})$/;
   return pattern.exec(str);
}

function ignoreSpaces(string) {
	var temp = "";
	string = '' + string;
	splitstring = string.split(" ");
	for(i = 0; i < splitstring.length; i++)
		temp += splitstring[i];
	return temp;
}

function validateSM(ip)
{
   var len;
   var subip;
   var ipmax=255;
   var temp;
   var Myall;
   var maskTag=0;

	if(ip.value=="0.0.0.0"||ip.value=="255.255.255.255")
		return false;

	for(var indexNo=1; indexNo<=4; indexNo ++)
	{
	   if(indexNo==1)
	       Myall=ip.value;
	   else
		   Myall=Myall.substring(temp+1,len);

	   //alert(_ML(g_Lang, DP_T_GET, Myall));
	   len=Myall.length;
	   temp=Myall.indexOf(".");

	   if(indexNo==4)
	       subip=Myall;
	   else
		   subip=Myall.substring(0,temp);

	   //alert(_ML(g_Lang, DP_T_GET, subip));

	   if((subip>ipmax) || ((subip!=0) && (subip!=128) && (subip!=192) && (subip!=224) &&
	       (subip!=240) && (subip!=248) && (subip!=252) && (subip!=254) && (subip!=255))){ 
		    //alert(_ML(g_Lang, DP_T_GET, "subip error 1!!")); 
			return false;
	   }

	   if(subip!=ipmax)
	   {
			if(indexNo==1)
				continue;

			if(maskTag!=1){
				if(subip!=0){
					//alert(_ML(g_Lang, DP_T_GET, "subip error 2!!")); 
					return false;
				}
			}
			else
				maskTag=0;
	   }
	   else// if(subip==ipmax)
	   {
			if(indexNo==1){
				maskTag=1;
			}else{
				if(maskTag!=1){
					//alert(_ML(g_Lang, DP_T_GET, "subip error 3!!")); 
					return false;
				}
			}
	   }
   }
   //alert(_ML(g_Lang, DP_T_GET, "all ip are OK!!"));
   return true;
}

function validateLanWanNetworkSeg(lanip,lanmask,wanip,wanmask)
{
	//alert(_ML(g_Lang, DP_T_GET, lanip));
	//alert(_ML(g_Lang, DP_T_GET, lanmask));
	//alert(_ML(g_Lang, DP_T_GET, wanip));
	//alert(_ML(g_Lang, DP_T_GET, wanmask));

	var lan_ip_t = lanip.split(".");
	var lan_mask_t = lanmask.split(".");
	var wan_ip_t = wanip.split(".");
	var wan_mask_t = wanmask.split(".");

	for(var i=0;i<4;i++){
		if( (parseInt(lan_ip_t[i])&parseInt(lan_mask_t[i])) != (parseInt(wan_ip_t[i])&parseInt(wan_mask_t[i])))
		return false;
	}
	return true;
}

//Control Function
//*****************************************************************************
//***********                                                       ***********                                       
//***********                                                       ***********                                       
//***********                                                       ***********                                       
function isIE(){
		var browser = new Object();
		browser.version = parseInt(navigator.appVersion);
		browser.isNs = false;
		browser.isIe = false;
		if(navigator.appName.indexOf("Netscape") != -1)
			browser.isNs = true;
		else if(navigator.appName.indexOf("Microsoft") != -1)
			browser.isIe = true;
			
		if(browser.isNs)
			return false;
		else if (browser.isIe)
			return true;

}

function setInnerText(el,innerText)  // IE & NS6; shownow = true, false
{
//	alert(_ML(g_Lang, DP_T_GET, "el = " + el));
//IE: innerText
//innerHTML
//document.getElementById("p1").firstChild.data = "HELLO";

	if (document.all)
		document.all(el).innerHTML = innerText ;
	else if (document.getElementById)
		document.getElementById(el).innerHTML = innerText ;
}

function getFormElementByName(myform,strname){
	var i;
	for(i=0;myform.elements[i];i++)
		if(myform.elements[i].name==strname)
			return myform.elements[i];
	return null;
}

//============ Select Control Function ============
function addSelOption(list,str,value,selected){
	var currentLength = list.length;
	list.options[currentLength] = new Option(str);
	list.options[currentLength].value=value;
	return list.options[currentLength].selected=selected;
} 

function getSelIndex(sel_object, sel_text)
{
	if (sel_text.length == 0)
		return -1;
	var size = sel_object.options.length;
	for (var i = 0; i < size; i++)
	{
		if ( (sel_object.options[i].text == sel_text) || (sel_object.options[i].value == sel_text) )
			return(i);
	}
	return -1;  // if no match
}

function getSelectedValue(sel_object)
{
	return sel_object.options[sel_object.selectedIndex].value;
}

function getSelectedText(sel_object)
{
	return sel_object.options[sel_object.selectedIndex].text;
}

function removeAllSelOption(list){
	while(list.length>0)
		list.options[0] = null;
	return true;
}

function removeSelectedOption(list){
	if(list.multiple){
		for(i=list.length-1;i>=0;i--){
			if(list.options[i].selected)list.options[i] = null;
		}
	}else list.options[list.selectedIndex] = null;
	return true;
}

function selectAllOption(list){
	for(i=list.length-1;i>=0;i--){
		list.options[i].selected=true;
	}
	return true;
}

//============ Radio Control Function ============
function getRadioSelected(buttonGroup) {
  for (var i = 0; i < buttonGroup.length; i++) {
    if (buttonGroup[i].checked) {
      return i + 1;
    }
  }
  return 0;
}

//Extended Function
//*****************************************************************************
//***********                                                       ***********                                       
//***********                                                       ***********                                       
//***********                                                       ***********                                       
var showit = "";
var hideit = "none";
function show_hide(el,shownow)  // IE & NS6; shownow = true, false
{
//	alert(_ML(g_Lang, DP_T_GET, "el = " + el));
	if (document.all&&document.all(el)){
		document.all(el).style.display = (shownow) ? showit : hideit ;
		return true;
	}else if (document.getElementById&&document.getElementById(el)){
		document.getElementById(el).style.display = (shownow) ? showit : hideit ;
		return true;
	}
	return false;
}

//Custom Function
//*****************************************************************************
//***********                                                       ***********                                       
//***********                                                       ***********                                       
//***********                                                       ***********                                       
function loadTxtFieldsFromIP(Mydata,ip1,ip2,ip3,ip4)
{
  
   var len;
   var ad;
   var temp;
   var Myall;
   Myall=Mydata.value; 
   
   len=Myall.length;
   temp=Myall.indexOf(".");
   ad=Myall.substring(0,temp);
   ip1.value=ad;
   
  
   Myall=Myall.substring(temp+1,len);
   len=Myall.length;
   temp=Myall.indexOf(".");
   ad=Myall.substring(0,temp);
   ip2.value=ad;
   
  
   Myall=Myall.substring(temp+1,len);
   len=Myall.length;
   temp=Myall.indexOf(".");
   ad=Myall.substring(0,temp);
   ip3.value=ad;
   
   
   Myall=Myall.substring(temp+1,len);
   ad=Myall;
   ip4.value=ad;
 
  
 }

function getIPFromTxtFields(out,in1,in2,in3,in4)
{
  var Total;
  Total=in1.value+"."+in2.value+"."+in3.value+"."+in4.value; 
  out.value=Total;
 
}
  
function loadTxtFieldsFromMAC(Mydata,mac1,mac2,mac3,mac4,mac5,mac6)
{
  
   var len;
   var ad;
   var temp;
   var Myall;
   Myall=Mydata.value; 
   
   len=Myall.length;
   temp=Myall.indexOf(":");
   ad=Myall.substring(0,temp);
   mac1.value=ad;
   
  
   Myall=Myall.substring(temp+1,len);
   len=Myall.length;
   temp=Myall.indexOf(":");
   ad=Myall.substring(0,temp);
   mac2.value=ad;
   
  
   Myall=Myall.substring(temp+1,len);
   len=Myall.length;
   temp=Myall.indexOf(":");
   ad=Myall.substring(0,temp);
   mac3.value=ad;
   
   
   Myall=Myall.substring(temp+1,len);
   len=Myall.length;
   temp=Myall.indexOf(":");
   ad=Myall.substring(0,temp);
   mac4.value=ad;
   
   Myall=Myall.substring(temp+1,len);
   len=Myall.length;
   temp=Myall.indexOf(":");
   ad=Myall.substring(0,temp);
   mac5.value=ad;
   
   Myall=Myall.substring(temp+1,len);
   ad=Myall;
   mac6.value=ad;
}

function getMACFromTxtFields(out,in1,in2,in3,in4,in5,in6)
{
  var Total;
  Total=in1.value+":"+in2.value+":"+in3.value+":"+
	in4.value+":"+in5.value+":"+in6.value; 
  out.value=Total;
}

function changeIpToSameSubnet(ip, mask, destIp){
	var lan_all;
	var lan_len;
	var lan_tmp;
	var mask_all;
	var mask_len;
	var mask_tmp;
	
	lan_all=ip.value;
	mask_all=mask.value;	
	destIp_all=destIp.value;
	//ip1
	mask_len=mask_all.length;
	mask_tmp=mask_all.indexOf(".");
	lan_len=lan_all.length;
	lan_tmp=lan_all.indexOf(".");
	destIp_len=destIp_all.length;
	destIp_tmp=destIp_all.indexOf(".");

	destIpStr="";
	for(i=0;i<=2;i++){
		destIpStr+=(mask_all.substring(0,mask_tmp) & lan_all.substring(0,lan_tmp))+(((~mask_all.substring(0,mask_tmp))&255) & destIp_all.substring(0,destIp_tmp))+'.';

		mask_all=mask_all.substring(mask_tmp+1,mask_len);
		mask_len=mask_all.length;
		mask_tmp=mask_all.indexOf(".");
	
		lan_all=lan_all.substring(lan_tmp+1,lan_len);
		lan_len=lan_all.length;
		lan_tmp=lan_all.indexOf(".");

		destIp_all=destIp_all.substring(destIp_tmp+1,destIp_len);
		destIp_len=destIp_all.length;
		destIp_tmp=destIp_all.indexOf(".");
	}

	destIpStr+=(mask_all & lan_all)+(((~mask_all)&255) & destIp_all);

	destIp.value=destIpStr;


}

function TitleInsert(titlename,helpWebname){
	document.writeln("<table border=1 bordercolorlight='#9C9A9C' bordercolordark='#E7E7FF' cellspacing=0 class='TitleTable' align='center'>")
	document.writeln("<TR>");
	document.writeln("<TD align=left width=100% colspan=2 class='PageTitle'>");
	document.writeln(titlename.replace(titlename.replace(div,""),_ML(g_Lang, DP_T_GET,titlename.replace(div,""))));
	document.writeln("</TD>");
	//document.writeln("<TD align=RIGHT height=29 ><a href="+helpWebname+"><img src='help.gif' border=0></a></TD> ");
	document.writeln("</TR>");
	document.writeln("</table><br>");
}
function TitleResetInsert(titlename){

	document.writeln("<table border='0' cellpadding='2' cellspacing='2' width='90%'>");
	document.writeln("<tr><td width='10%' >&nbsp; <td width='90%'>");
	document.writeln("<table border='0' cellpadding='2' cellspacing='0' width='100%'>");
	document.writeln("<tr><td width='60%' class='PageTitle'>");
	document.writeln(titlename.replace(titlename.replace(div,""),_ML(g_Lang, DP_T_GET,titlename.replace(div,""))));
	document.writeln("</td>");
	document.writeln("<td width='40%'> ");
	//document.writeln("<a href='reset' target='content'><img src='/engehtml/img/reset.gif?generic' align='right' border='0'></a>");
	//document.writeln("<a href='CM_SystemStatus' target='content'><img src='/engehtml/img/home.gif?generic' align='right' border='0'></a></td></tr>");
	document.writeln("<input type=button style='background: url(/engehtml/img/ml_home.gif);no-repeat;width:89px;height:29px;border:none;color:#324965;padding-bottom:5px;font-weight:bold;font-family: Arial, Tahoma;float:right;' value="+_ML(g_Lang, DP_T_GET,"Reset")+" onclick='parent.content.location.href=\"reset\"'></input>");
	document.writeln("<input type=button style='background: url(/engehtml/img/ml_home.gif);no-repeat;width:89px;height:29px;border:none;color:#324965;padding-bottom:5px;font-weight:bold;font-family: Arial, Tahoma;float:right;' value="+_ML(g_Lang, DP_T_GET,"Home")+" onclick='parent.content.location.href=\"CM_SystemStatus\"'></td></tr>");
	document.writeln("<tr><td colspan='2'><img src='/engehtml/img/liteblue.gif?generic' width='100%' height='2' border='0'></td></tr>");
	document.writeln("</table>");
	document.writeln("</table>");
	
	//Shpin for update leftmenu
	try{
		if(window.location.pathname.indexOf("WANSettings_top")==-1){
			parent.left.showMsg();
		}
	}catch(err){
		//parent.parent.left.showMsg();
	}
	
	
}

function TitleInsertOnly(titlename){

	document.writeln("<table border='0' cellpadding='2' cellspacing='2' width='90%'>");
	document.writeln("<tr><td width='10%' >&nbsp; <td width='90%'>");
	document.writeln("<table border='0' cellpadding='2' cellspacing='0' width='100%'>");
	document.writeln("<tr><td width='60%' class='PageTitle'>");
	document.writeln(titlename.replace(titlename.replace(div,""),_ML(g_Lang, DP_T_GET,titlename.replace(div,""))));
	document.writeln("</td></tr>");
	document.writeln("<tr><td colspan='2'><img src='/engehtml/img/liteblue.gif?generic' width='100%' height='2' border='0'></td></tr>");
	document.writeln("</table>");
	document.writeln("</table>");
}

function new_bakProgressWindow(mypage,myname,w,h,features) {
var winl = (screen.width-w)/2;
var wint = (screen.height-h)/2;
if (winl < 0) winl = 0;
if (wint < 0) wint = 0;
var settings = 'height=' + h + ',';
settings += 'width=' + w + ',';
settings += 'top=' + wint+ ','; 
settings += 'left=' + winl + ',';
settings += features;
win = window.open(mypage,myname,settings);
win.window.focus();
return win;
}

// getParameter - parsing URL parameter by JS
// queryString : var queryString = window.top.location.search.substring(1);
function getParameter ( queryString, parameterName ) {
// Add "=" to the parameter name (i.e. parameterName=value)
var parameterName = parameterName + "=";

    if ( queryString.length > 0 ) {
        // Find the beginning of the string
        begin = queryString.indexOf ( parameterName );
        // If the parameter name is not found, skip it, otherwise return the value
        if ( begin != -1 ) {
        // Add the length (integer) to the beginning
            begin += parameterName.length;
            // Multiple parameters are separated by the "&" sign
            end = queryString.indexOf ( "&" , begin );
            if ( end == -1 ) {
                end = queryString.length
            }
            // Return the string
            return unescape ( queryString.substring ( begin, end ) );
        }
        // Return "null" if no parameter has been found
        return "null";
    }
} 

function reset_all_form() {
	var len=document.forms.length;
	for(var i=0;i<len;i++){
		//alert(_ML(g_Lang, DP_T_GET, document.forms[i]));
		document.forms[i].reset();
	}
}

function disableButton(){
	$("input").each(function (i) {
	if(this.type=="button")
	this.disabled = true ;
    });
}

function show_infolink_icon(){
        $("[data-info]").show();
}

